DefaultUrlMappingInfo (Grails 3.1.7)
Date: 2016-05-19

Package: org.grails.web.mapping

## [Java] Class DefaultUrlMappingInfo

- org.grails.web.mapping.DefaultUrlMappingInfo

- Holds information established from a matched URL.

  Authors:
    Graeme Rocher
  Since:
    0.5

- - ### Constructor Summary

    Constructors
    Constructor and description
    `DefaultUrlMappingInfo (java.lang.Object redirectInfo, java.lang.Object controllerName, java.lang.Object actionName, java.lang.Object namespace, java.lang.Object pluginName, java.lang.Object viewName, java.util.Map params, UrlMappingData urlData, GrailsApplication grailsApplication)`
    `DefaultUrlMappingInfo (java.lang.Object redirectInfo, java.lang.Object controllerName, java.lang.Object actionName, java.lang.Object namespace, java.lang.Object pluginName, java.lang.Object viewName, java.lang.String httpMethod, java.lang.String version, java.util.Map<?, ?> params, UrlMappingData urlData, GrailsApplication grailsApplication)`
    `DefaultUrlMappingInfo (java.lang.Object viewName, java.util.Map params, UrlMappingData urlData, GrailsApplication grailsApplication)`
    `DefaultUrlMappingInfo (java.lang.Object uri, UrlMappingData data, GrailsApplication grailsApplication)`
    `DefaultUrlMappingInfo (java.lang.Object uri, java.lang.String httpMethod, UrlMappingData data, GrailsApplication grailsApplication)`
    `DefaultUrlMappingInfo (java.lang.Object viewName, java.util.Map params, UrlMappingData urlData, javax.servlet.ServletContext servletContext)` @deprecated Use DefaultUrlMappingInfo(Object, java.util.Map, grails.web.mapping.UrlMappingData, grails.core.GrailsApplication) instead
    `DefaultUrlMappingInfo (java.lang.Object uri, java.lang.String httpMethod, UrlMappingData data, javax.servlet.ServletContext servletContext)` @deprecated Use DefaultUrlMappingInfo(Object, String, grails.web.mapping.UrlMappingData, grails.core.GrailsApplication) instead
    `DefaultUrlMappingInfo (java.lang.Object uri, UrlMappingData data, javax.servlet.ServletContext servletContext)` @deprecated Use DefaultUrlMappingInfo(Object, grails.web.mapping.UrlMappingData, grails.core.GrailsApplication) instead
    `DefaultUrlMappingInfo (java.lang.Object redirectInfo, java.lang.Object controllerName, java.lang.Object actionName, java.lang.Object namespace, java.lang.Object pluginName, java.lang.Object viewName, java.util.Map params, UrlMappingData urlData, javax.servlet.ServletContext servletContext)` @deprecated Use DefaultUrlMappingInfo(Object, Object, Object, Object, Object, Object, java.util.Map, grails.web.mapping.UrlMappingData, grails.core.GrailsApplication) instead
    `DefaultUrlMappingInfo (java.lang.Object redirectInfo, java.lang.Object controllerName, java.lang.Object actionName, java.lang.Object namespace, java.lang.Object pluginName, java.lang.Object viewName, java.lang.String httpMethod, java.lang.String version, java.util.Map<?, ?> params, UrlMappingData urlData, javax.servlet.ServletContext servletContext)` @deprecated Use DefaultUrlMappingInfo(Object, Object, Object, Object, Object, Object, String, String, java.util.Map, grails.web.mapping.UrlMappingData, grails.core.GrailsApplication) instead

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `boolean` | `equals(java.lang.Object o)`
    `java.lang.String` | `getActionName()`
    `java.lang.String` | `getControllerName()`
    `java.lang.String` | `getHttpMethod()`
    `java.lang.String` | `getId()`
    `java.lang.String` | `getNamespace()`
    `java.util.Map` | `getParameters()`
    `java.lang.String` | `getPluginName()`
    `java.lang.Object` | `getRedirectInfo()`
    `java.lang.String` | `getURI()`
    `java.lang.String` | `getVersion()`
    `java.lang.String` | `getViewName()`
    `int` | `hashCode()`
    `boolean` | `isParsingRequest()`
    `void` | `setParsingRequest(boolean parsingRequest)`
    `java.lang.String` | `toString()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractUrlMappingInfo` | `configure, evaluateNameForValue, evaluateNameForValue, getParams, getRedirectInfo, populateParamsForMapping, setParams`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Constructor Detail

    - #### @java.lang.SuppressWarnings("rawtypes") public DefaultUrlMappingInfo(java.lang.Object redirectInfo, java.lang.Object controllerName, java.lang.Object actionName, java.lang.Object namespace, java.lang.Object pluginName, java.lang.Object viewName, java.util.Map params, UrlMappingData urlData, GrailsApplication grailsApplication)

    - #### public DefaultUrlMappingInfo(java.lang.Object redirectInfo, java.lang.Object controllerName, java.lang.Object actionName, java.lang.Object namespace, java.lang.Object pluginName, java.lang.Object viewName, java.lang.String httpMethod, java.lang.String version, java.util.Map<?, ?> params, UrlMappingData urlData, GrailsApplication grailsApplication)

    - #### public DefaultUrlMappingInfo(java.lang.Object viewName, java.util.Map params, UrlMappingData urlData, GrailsApplication grailsApplication)

    - #### public DefaultUrlMappingInfo(java.lang.Object uri, UrlMappingData data, GrailsApplication grailsApplication)

    - #### public DefaultUrlMappingInfo(java.lang.Object uri, java.lang.String httpMethod, UrlMappingData data, GrailsApplication grailsApplication)

    - #### @java.lang.SuppressWarnings("rawtypes") @java.lang.Deprecated public DefaultUrlMappingInfo(java.lang.Object viewName, java.util.Map params, UrlMappingData urlData, javax.servlet.ServletContext servletContext)

      deprecated:
        Use DefaultUrlMappingInfo(Object, java.util.Map, grails.web.mapping.UrlMappingData, grails.core.GrailsApplication) instead

    - #### @java.lang.Deprecated public DefaultUrlMappingInfo(java.lang.Object uri, java.lang.String httpMethod, UrlMappingData data, javax.servlet.ServletContext servletContext)

      deprecated:
        Use DefaultUrlMappingInfo(Object, String, grails.web.mapping.UrlMappingData, grails.core.GrailsApplication) instead

    - #### @java.lang.Deprecated public DefaultUrlMappingInfo(java.lang.Object uri, UrlMappingData data, javax.servlet.ServletContext servletContext)

      deprecated:
        Use DefaultUrlMappingInfo(Object, grails.web.mapping.UrlMappingData, grails.core.GrailsApplication) instead

    - #### @java.lang.Deprecated public DefaultUrlMappingInfo(java.lang.Object redirectInfo, java.lang.Object controllerName, java.lang.Object actionName, java.lang.Object namespace, java.lang.Object pluginName, java.lang.Object viewName, java.util.Map params, UrlMappingData urlData, javax.servlet.ServletContext servletContext)

      deprecated:
        Use DefaultUrlMappingInfo(Object, Object, Object, Object, Object, Object, java.util.Map, grails.web.mapping.UrlMappingData, grails.core.GrailsApplication) instead

    - #### @java.lang.Deprecated public DefaultUrlMappingInfo(java.lang.Object redirectInfo, java.lang.Object controllerName, java.lang.Object actionName, java.lang.Object namespace, java.lang.Object pluginName, java.lang.Object viewName, java.lang.String httpMethod, java.lang.String version, java.util.Map<?, ?> params, UrlMappingData urlData, javax.servlet.ServletContext servletContext)

      deprecated:
        Use DefaultUrlMappingInfo(Object, Object, Object, Object, Object, Object, String, String, java.util.Map, grails.web.mapping.UrlMappingData, grails.core.GrailsApplication) instead

  - ### Method Detail

    - #### @java.lang.Override public boolean equals(java.lang.Object o)

    - #### public java.lang.String getActionName()

    - #### public java.lang.String getControllerName()

    - #### @java.lang.Override public java.lang.String getHttpMethod()

    - #### public java.lang.String getId()

    - #### public java.lang.String getNamespace()

    - #### @java.lang.SuppressWarnings("rawtypes") public java.util.Map getParameters()

    - #### public java.lang.String getPluginName()

    - #### @java.lang.Override public java.lang.Object getRedirectInfo()

    - #### public java.lang.String getURI()

    - #### @java.lang.Override public java.lang.String getVersion()

    - #### public java.lang.String getViewName()

    - #### @java.lang.Override public int hashCode()

    - #### public boolean isParsingRequest()

    - #### public void setParsingRequest(boolean parsingRequest)

    - #### @java.lang.Override public java.lang.String toString()